- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# Vector4 Class Reference

This reference page is linked to from the following overview topics: Math and Geometry Utilities.

Search for all occurrences

## Detailed Description

A four dimensionsional vector (X, Y, Z, and W)

Definition at line 605 of file math.h.

`#include <math.h>`

List of all members.

## Public Member Functions
| Vector4 ()
| Vector4 (float X, float Y, float Z, float W)
bool | operator== (const Vector4 &v) const throw ()
bool | operator!= (const Vector4 &v) const throw ()
## Public Attributes
union {
struct {
float x
float y
float z
float w
} |
double m_dAlignDummy
__m128 m_VecSSE
}; |

## Constructor & Destructor Documentation

Vector4 | ( |  | ) | `[inline]`

Definition at line 608 of file math.h.

    { x=y=z=w=0.0f; }

Vector4 | ( | float | X,
|  | float | Y,
|  | float | Z,
|  | float | W
| ) |  | `[inline]`

Definition at line 610 of file math.h.

    {x=X; y=Y; z=Z; w=W;}

## Member Function Documentation

bool operator== | ( | const Vector4 & | v | ) | const throw () `[inline]`

Definition at line 612 of file math.h.

        { return x == v.x && y == v.y && z == v.z; };

bool operator!= | ( | const Vector4 & | v | ) | const throw () `[inline]`

Definition at line 615 of file math.h.

        { return !operator ==( v ); };

## Member Data Documentation

float x

Search for all occurrences

Definition at line 620 of file math.h.

float y

Search for all occurrences

Definition at line 620 of file math.h.

float z

Search for all occurrences

Definition at line 620 of file math.h.

float w

Search for all occurrences

Definition at line 620 of file math.h.

double m_dAlignDummy

Search for all occurrences

Definition at line 622 of file math.h.

__m128 m_VecSSE

Search for all occurrences

Definition at line 624 of file math.h.

union { ... }

Search for all occurrences

The documentation for this class was generated from the following file:

- Mudbox/math.h

Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4
Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4 Vector4